> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 文字起こしを作成

> 選択した文字起こしモデルで音声をテキスト（STT）に変換します。



## OpenAPI

````yaml ja/openapi/v1/openapi.localized.yaml POST /audio/transcriptions
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: OpenAI互換のエンドポイントを通じて、さまざまなAIモデルにアクセスするためのゲートウェイAPI。
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: グローバルルーティング
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /audio/transcriptions:
    post:
      tags:
        - Gateway
      summary: 文字起こしを作成
      description: 音声を入力言語で文字起こしします。
      operationId: createTranscription
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AudioTranscriptionRequest'
      responses:
        '200':
          description: 文字起こしの応答
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AudioTranscriptionResponse'
components:
  schemas:
    AudioTranscriptionRequest:
      type: object
      required:
        - model
      properties:
        model:
          type: string
        audio_url:
          type: string
          format: uri
        audio_b64:
          type: string
        language:
          type: string
        chunking_strategy:
          oneOf:
            - type: string
              enum:
                - auto
            - type: object
              required:
                - type
              properties:
                type:
                  type: string
                  enum:
                    - server_vad
                prefix_padding_ms:
                  type: integer
                  minimum: 0
                silence_duration_ms:
                  type: integer
                  minimum: 0
                threshold:
                  type: number
                  minimum: 0
                  maximum: 1
        known_speaker_names:
          type: array
          maxItems: 4
          items:
            type: string
        known_speaker_references:
          type: array
          maxItems: 4
          items:
            type: string
        provider:
          $ref: '#/components/schemas/ProviderRoutingOptions'
    AudioTranscriptionResponse:
      type: object
      properties:
        text:
          type: string
    ProviderRoutingOptions:
      type: object
      description: ゲートウェイでの選択に使用するプロバイダーのルーティング設定。
      properties:
        order:
          type: array
          items:
            type: string
        only:
          type: array
          items:
            type: string
        ignore:
          type: array
          items:
            type: string
        include_alpha:
          type: boolean
          description: ルーティングに alpha プロバイダーを含める（既定ではオフ）。
        allow_fallbacks:
          type: boolean
          nullable: true
          description: 失敗後に別の対象プロバイダーへフォールバックすることを許可します。
        require_parameters:
          type: boolean
          nullable: true
          description: ルーティング前に、要求されたパラメーターにプロバイダーが対応していることを必須にします。
        required_execution_region:
          type: string
          nullable: true
          description: 指定された実行リージョンに対応するプロバイダーにルーティングを限定します。
        required_data_region:
          type: string
          nullable: true
          description: 指定されたデータリージョンに対応するプロバイダーにルーティングを限定します。
        require_zero_data_retention:
          type: boolean
          nullable: true
          description: ゼロデータ保持に対応するプロバイダーにルーティングを限定します。
        data_collection:
          type: string
          nullable: true
          enum:
            - allow
            - deny
        zdr:
          type: boolean
          nullable: true
        enforce_distillable_text:
          type: boolean
          nullable: true
        quantizations:
          type: array
          nullable: true
          items:
            type: string
        sort:
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
          description: このリクエストのプロバイダーを、価格、レイテンシ、スループットなどで並べ替えます。
        max_price:
          type: object
          properties:
            prompt:
              oneOf:
                - type: number
                - type: string
            completion:
              oneOf:
                - type: number
                - type: string
            image:
              oneOf:
                - type: number
                - type: string
            audio:
              oneOf:
                - type: number
                - type: string
            request:
              oneOf:
                - type: number
                - type: string
        preferred_min_throughput:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
        preferred_max_latency:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer トークンによる認証

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.